> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 Session 资源

> 获取挂载到 Session 的一个资源。

`GET /api/v1/cloud/sessions/{session_id}/resources/{resource_id}`

按 ID 返回一个 Session resource。

## 路径参数

| 参数            | 类型     | 说明                         |
| ------------- | ------ | -------------------------- |
| `session_id`  | string | 以 `sess_` 为前缀的 Session ID  |
| `resource_id` | string | 以 `sesr_` 为前缀的 Resource ID |

## 请求头

| 头部              | 必选 | 说明                  |
| --------------- | -- | ------------------- |
| `Authorization` | 是  | `Bearer $QODER_PAT` |

## 示例请求

```bash theme={null}
curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT"
```

## 示例响应

**HTTP 200 OK**

```json theme={null}
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "file",
  "file_id": "file_019ef2a07a06704fb899908c29eed779",
  "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
  "created_at": "2026-06-23T05:53:19.77484Z",
  "updated_at": "2026-06-23T05:53:44.995459Z"
}
```

完整结构见 [Session resource](/zh/cloud-agents/api/sessions/schemas#session-resource)。

## 错误码

| HTTP | 类型                     | 触发条件                   |
| ---- | ---------------------- | ---------------------- |
| 401  | `authentication_error` | PAT 无效或过期              |
| 404  | `not_found_error`      | Session 或 resource 不存在 |

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

完整错误信封格式见 [错误参考](/zh/cloud-agents/api/conventions/errors)。
